Subject: Re: bug#64776: 29.0.91; doc string of `ignore'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Jul 2023 08:37:33 +0300

> From: Drew Adams <[email-masked]>
> Date: Fri, 21 Jul 2023 19:42:16 +0000
> 
> 1. The two "and"s here are confusing.  Maybe say something like this:
> 
>      It is bound to key sequences M-<noname>, C-<noname> and
>      C-M-<drag-mouse-1>, and to many ordinary text characters.

This text is auto-generated, and in most cases the last "and" would
not be there.  I did nothing about this, as the issue is very minor
anyway.

> 2. TheA &rest argument, such as ARGUMENTS here, is singular; its value
>    is a list of actual arguments.
> 
>    This is incorrect; there is only one &rest argument, and its name
>    here is ARGUMENTS.
> 
>    This:
> 
>      This function accepts any number of ARGUMENTS, but ignores them.
> 
>   should be this:
> 
>      This function accepts any number of arguments, but ignores them.

Thanks, I fixed it in a different way (the first sentence of a good
doc string should reference the arguments).

Closing.